package ru.yandex.wmconsole.data.info.graph;

/**
 * @author yakushev
 */
public class GraphParam {
    private final String name;
    private final String value;

    public GraphParam(String name, String value) {
        if (name == null) {
            throw new IllegalArgumentException("name");
        }

        if (value == null) {
            throw new IllegalArgumentException("value");
        }

        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public String getValue() {
        return value;
    }
}
